Skip to main content
DELETE
/
v1
/
wallet
/
address_book
Remove Address Book Entry
curl --request DELETE \
  --url https://api.ondoperps.xyz/v1/wallet/address_book \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "withdrawalAddress": "0x054A94b753CBf65D1Bc484F6D41897b48251fbfF"
}
'
{
  "success": true
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
withdrawalAddress
string
required

The withdrawal address to remove

Example:

"0x054A94b753CBf65D1Bc484F6D41897b48251fbfF"

Response

Removed

success
boolean
required

Whether the request was successful

Example:

true

error
string

Error message, present only on failure

Example:

""

error_code
string

Semantic error code. See each endpoint's error responses for the specific codes it can return.

deprecated
string

Deprecation notice, if applicable

Example:

""